using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;

[Serializable]
[JsonObject]
public class Question
{
    public int index;
    public string promptId;

    [JsonConverter(typeof(ArrayToDictionaryConverter<Proposition>))]
    public Dictionary<int, Proposition> propositions;

    public double creationDate;
}

